using System;

namespace Takmicenje_2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] b = new double[n];
            for(int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                a[i] = double.Parse(s[0]);
                b[i] = double.Parse(s[1]);
            }
            double suma = 0;
            for (int i = 0; i < n; i++)
            {
                double s = 0;
                for(int j = 0; j < n; j++)
                {
                    if (b[i] <= b[j])
                    {
                        s += a[j] * b[i]*0.01;
                    }
                }
                if (s > suma)
                {
                    suma = s;
                }
            }
            Console.WriteLine(suma);
        }
    }
}